Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

GetMdevDeviceCandidates

GetMdevDeviceCandidates

GET/zstack/v1/mdev-devices/candidates

Operation ID

GetMdevDeviceCandidates

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • clusterUuids
    List

    Optional. The cluster UUID list.

  • hostUuid
    String

    Optional. The host UUID.

  • vmInstanceUuid
    String

    Optional. The VM instance UUID.

  • types
    List

    Optional. The MDEV device types.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • parentUuid
      StringRequired

      The UUID of the physical PCI device.

    • hostUuid
      StringRequired

      The host UUID.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • mdevSpecUuid
      StringRequired

      The UUID of the MDEV device specification.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      MdevDeviceTypeRequired

      See type.

      • GPU_Video_Controller
        MdevDeviceTypeRequired

        The GPU video controller.

    • state
      MdevDeviceStateRequired

      See state.

      • Enabled
        MdevDeviceStateRequired

        The MDEV device is enabled.

      • Disabled
        MdevDeviceStateRequired

        The MDEV device is disabled.

    • status
      MdevDeviceStatusRequired

      See status.

      • Active
        MdevDeviceStatusRequired

        The MDEV device is active.

      • Attached
        MdevDeviceStatusRequired

        The MDEV device is attached.